Bug 491992 - Review Request: mod_falcon - An embedded Falcon interpreter for the Apache HTTP Server
Review Request: mod_falcon - An embedded Falcon interpreter for the Apache HT...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2009-03-24 16:59 EDT by Ben Boeckel
Modified: 2010-08-20 19:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 22:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-03-24 16:59:10 EDT
Spec URL: http://benboeckel.net/packaging/mod_falcon/mod_falcon.spec
SRPM URL: http://benboeckel.net/packaging/mod_falcon/mod_falcon-0.9.4-1.srpm
Description: Mod_falcon is a module that embeds the Falcon language interpreter within the server, allowing Apache handlers to be written in Falcon.

rpmlint warns about the license (Falcon Programming Language License v1.1, FPLLv1.1 in the spec <http://www.falconpl.org/index.ftd?page_id=license_1_1>). Debian has comments on it at <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460591>. IANAL, so I don't know what applies to Fedora, but Debian did approve it.
Comment 1 Jason Tibbitts 2009-03-24 17:12:04 EDT
You might check the fedora-legal-list archives; Falcon has been covered here.  First hit on a google search for "fedora-legal-list falcon", for example.  You might also just look at how the base Falcon package handles this, which is to simply use GPLv2+.  It is not permissible to simply make up identifiers like "FPLLv1.1" that are not in the list of approved licenses/identifiers at http://fedoraproject.org/wiki/Licensing.
Comment 2 Ben Boeckel 2009-03-24 18:00:27 EDT
(In reply to comment #1)
> You might check the fedora-legal-list archives; Falcon has been covered here. 
> First hit on a google search for "fedora-legal-list falcon", for example.  You
> might also just look at how the base Falcon package handles this, which is to
> simply use GPLv2+.  It is not permissible to simply make up identifiers like
> "FPLLv1.1" that are not in the list of approved licenses/identifiers at
> http://fedoraproject.org/wiki/Licensing.  

Ah, alright. I'll just set the License: as GPLv2+.
Comment 3 Tom "spot" Callaway 2009-04-01 13:31:54 EDT
Lifting FE-Legal, assuming that this code is dual-licensed like the Falcon language interpreter is.
Comment 5 Jason Tibbitts 2009-07-11 11:47:39 EDT
The SRPM URL above does not seem to exist.
Comment 7 Rafael Aquini 2010-08-19 21:19:36 EDT
PING

It's been more than a year with no progress; This review should be closed soon
if there is no response, shouldn't it?
Comment 8 Ben Boeckel 2010-08-19 22:51:26 EDT
Indeed. Unfortunately, the time has passed when this would be of much use to me and would probably not be the ideal maintainer for it. Others are welcome to take it. Marking as CLOSED/DEFERRED.
Comment 9 Rafael Aquini 2010-08-20 19:09:39 EDT
Ben

Sorry to hear you are not able to proceed with this work by now.

I'm moving this ticket to a state where other interested parties can submit the package or take over the review.

Best regards

Note You need to log in before you can comment on or make changes to this bug.